Subject: [linux-sunxi] Re: [PATCH 3/6] ARM: dts: sunxi: Add Allwinner A80 dtsi

From: [email-masked] (Gregory CLEMENT)
Date: Wed, 24 Sep 2014 14:36:12 +0200

Hi Chen-Yu,

> 
> Thanks for the tip. Before I send v2, I do have a question. I'm using
> 
>     ranges = <0 0 0 0x20000000>;
> 
> in the clocks and soc node to avoid having to use 64bit values for all
> addresses and sizes. Would this be undesirable, even bad practice maybe?

We did something like that for all the internal registers too as they are all
under 4GB. In our case the use of a range really makes sens because the hardware
addresses were configurable. You don't have such requirement so I can't say if
it is a bad practice. From my point of view it seems sensible but I am not an
DT expert.

Gr?gory

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com